Subject: Re: bug#25823: 26.0.50; describe-function: Don't require cl-lib at runtime

From: Tino Calancha <[email-masked]>
Date: Wed, 22 Feb 2017 12:23:23 +0900 (JST)

On Tue, 21 Feb 2017, Stefan Monnier wrote:

>> (progn
>>   (describe-function 'dolist)
>>   (delete-other-windows)
>>   (featurep 'cl-lib))
>> => t
>
> FWIW, cl-lib is a library that can be loaded at runtime just fine.
> Moreover, it's likely that cl-lib will end up pre-loaded from loadup.el
> at some point in the (somewhat distant) future.
I see, i guess prince Hamlet would ask this somehow differently:
"To load, or not to load cl-lib- that is the question".
But i lack of his talent for the lyrics... so i just sent a patch :-(

> So I don't think we should worry too much about the above result.
I often worry about things that most of the people even ignore they do 
exist :-S